
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define rel 1
%define	release	%mkrel %rel

%define name	fil-plugins
%define version 0.1.0

Summary:      A four-band parametric equaliser plugin for LADSPA.
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Sound
Source:       http://alsamodular.sourceforge.net/FIL-plugins-%{version}.tar.bz2
Patch0:       FIL-plugins-0.0.1-makefile.patch.bz2
BuildRoot:    %{_tmppath}/%{name}-buildroot
Requires:     ladspa
BuildRequires: ladspa-devel

%description
There's one plugin in this first release, a four-band parametric equaliser. 
Each section has an active/bypass switch, frequency, bandwidth and gain controls. 
There is also a global bypass switch and gain control.

The 2nd order resonant filters are implemented using a Mitra-Regalia style 
lattice filter, which has the nice property of being stable even while 
parameters are being changed.

All switches and controls are internally smoothed, so they can be used 
'live' whithout any clicks or zipper noises. 
This should make this plugin a good candidate for use in systems that 
allow automation of plugin control ports, such as Ardour, or for stage use.

%prep
%setup -q -n FIL-plugins-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ladspa
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.0-1
- Rebuild for pclos2007
- 0.1.0

* Mon Apr 11 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.1-3.pclo2005.thac
- Rebuilt for PCLinuxOs 2005

* Thu Oct 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.1-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Wed Jun 09 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.1-1thac
- Built for mandrake 10.0
